<?php
/**
* Header Options.
*
* @package Multi Sports Club
*/

$multi_sports_club_default = multi_sports_club_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'multi_sports_club_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'multi-sports-club' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'multi_sports_club_theme_option_panel',
	)
);

$wp_customize->add_setting('multi_sports_club_sticky',
    array(
        'default' => $multi_sports_club_default['multi_sports_club_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'multi_sports_club_sanitize_checkbox',
    )
);
$wp_customize->add_control('multi_sports_club_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'multi-sports-club'),
        'section' => 'multi_sports_club_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('multi_sports_club_menu_font_size',
    array(
        'default'           => $multi_sports_club_default['multi_sports_club_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'multi_sports_club_sanitize_number_range',
    )
);
$wp_customize->add_control('multi_sports_club_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'multi-sports-club'),
        'section'     => 'multi_sports_club_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'multi_sports_club_menu_text_transform',
    array(
    'default'           => $multi_sports_club_default['multi_sports_club_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'multi_sports_club_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'multi_sports_club_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'multi-sports-club' ),
    'section'     => 'multi_sports_club_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'multi-sports-club' ),
        'uppercase'  => esc_html__( 'Uppercase', 'multi-sports-club' ),
        'lowercase'    => esc_html__( 'Lowercase', 'multi-sports-club' ),
        ),
    )
);

$wp_customize->add_setting('multi_sports_club_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multi_sports_club_header_menus_color', array(
    'label'    => __('Main Menu Color', 'multi-sports-club'),
    'section'  => 'multi_sports_club_button_header_setting',
)));

$wp_customize->add_setting('multi_sports_club_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multi_sports_club_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'multi-sports-club'),
    'section'  => 'multi_sports_club_button_header_setting',
)));

$wp_customize->add_setting('multi_sports_club_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multi_sports_club_header_submenus_color', array(
    'label'    => __('Submenu Color', 'multi-sports-club'),
    'section'  => 'multi_sports_club_button_header_setting',
)));

$wp_customize->add_setting('multi_sports_club_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multi_sports_club_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'multi-sports-club'),
    'section'  => 'multi_sports_club_button_header_setting',
)));


$wp_customize->add_setting('multi_sports_club_display_header_toggle',
    array(
        'default' => $multi_sports_club_default['multi_sports_club_display_header_toggle'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'multi_sports_club_sanitize_checkbox',
    )
);
$wp_customize->add_control('multi_sports_club_display_header_toggle',
    array(
        'label' => esc_html__('Enable / Disable Toggle', 'multi-sports-club'),
        'section' => 'multi_sports_club_button_header_setting',
        'type' => 'checkbox',
    )
);